FROM anapsix/alpine-java:8_server-jre_unlimited

MAINTAINER opgames(opgames.cn@gmail.com)

RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime

RUN mkdir -p /opt/projects/yami-b2b2c/log

WORKDIR /opt/projects/yami-b2b2c

ADD ./target/yami-shop-multishop-0.0.1-SNAPSHOT.jar ./

EXPOSE 8113

CMD java -jar -Xms512m -Xmx512m -Xss256k -XX:SurvivorRatio=8 -Dspring.profiles.active=docker yami-shop-multishop-0.0.1-SNAPSHOT.jar
